/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksendmessage.entity;

import java.util.Date;
import java.util.List;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

/**
 * 发文管理Entity
 * @author ssrh
 * @version 2018-07-12
 */
public class WorkSendMessage extends ActEntity<WorkSendMessage> {
	
	private static final long serialVersionUID = 1L;
    public static final String ATTACHMENT_TYPE = "107";
    private String title;		// 发文标题
	private String num;		// 发文文号
	private String docType;		// 发文类型
	private String person;		// 拟  稿  人
	private String summary;		// 发文摘要
	private Office office;		// 部门ID
	private Office company;		// 公司ID
	private Date beginCreateDate;		// 开始 发文日期
	private Date endCreateDate;		// 结束 发文日期
    private List<WorkClientAttachment> workAttachments = Lists.newArrayList();
    private List<User> userList;
    private List<Office> officeList;
    private Integer state;
    private String processInstanceId;
    private String home;

	public WorkSendMessage() {
		super();
	}

	public WorkSendMessage(String id){
		super(id);
	}

	@ExcelField(title="发文标题", align=2, sort=7)
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	@ExcelField(title="发文文号", align=2, sort=8)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="发文类型", align=2, sort=9)
	public String getDocType() {
		return docType;
	}

	public void setDocType(String docType) {
		this.docType = docType;
	}
	
	@ExcelField(title="拟  稿  人", align=2, sort=10)
	public String getPerson() {
		return person;
	}

	public void setPerson(String person) {
		this.person = person;
	}
	
	@ExcelField(title="发文摘要", align=2, sort=11)
	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}
	
	@ExcelField(title="部门ID", align=2, sort=12)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
	
	@ExcelField(title="公司ID", align=2, sort=13)
	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}
	
	public Date getBeginCreateDate() {
		return beginCreateDate;
	}

	public void setBeginCreateDate(Date beginCreateDate) {
		this.beginCreateDate = beginCreateDate;
	}
	
	public Date getEndCreateDate() {
		return endCreateDate;
	}

	public void setEndCreateDate(Date endCreateDate) {
		this.endCreateDate = endCreateDate;
	}

    public List<WorkClientAttachment> getWorkAttachments() {
        return workAttachments;
    }

    public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
        this.workAttachments = workAttachments;
    }

    public List<User> getUserList() {
        return userList;
    }

    public void setUserList(List<User> userList) {
        this.userList = userList;
    }

    public List<Office> getOfficeList() {
        return officeList;
    }

    public void setOfficeList(List<Office> officeList) {
        this.officeList = officeList;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public static String getBizeCode(String docType) {
	    switch (docType){
            case "1":
                return "15";
            default:
                return "15";
        }
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }
}